Skip to main content
GET
Get a context pack by name

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Project-ID
string | null

Path Parameters

name
string
required

Context pack name

Response

Successful Response

Response model for a context pack.

id
string
required

Context pack ID

organization_id
string
required

Organization ID

project_id
string
required

Project ID

name
string
required

Pack name

pack_type
enum<string>
required

Pack type

Available options:
user,
team,
project,
domain,
session,
data_source
version
integer
required

Version number

status
enum<string>
required

Current status

Available options:
active,
archived,
deprecated,
deleted
summary_version
integer
required

Summary version

key_topics
string[]
required

Key topics

topic_distribution
Topic Distribution · object
required

Topic distribution

meta_data
Meta Data · object
required

User-defined metadata

config
Config · object
required

Configuration

created_by
string
required

User resource URI who created this

updated_by
string
required

User resource URI who last updated this

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

description
string | null

Description

summary_text
string | null

Generated summary

archived_at
string<date-time> | null

Archive timestamp

deprecated_at
string<date-time> | null

Deprecation timestamp

deleted_at
string<date-time> | null

Deletion timestamp

reactivated_at
string<date-time> | null

Last reactivation timestamp